<?php

namespace Drupal\site;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;

/**
 * SiteProperty plugin manager.
 */
class SitePropertyPluginManager extends DefaultPluginManager {

  /**
   * Constructs SitePropertyPluginManager object.
   *
   * @param \Traversable $namespaces
   *   An object that implements \Traversable which contains the root paths
   *   keyed by the corresponding namespace to look for plugin implementations.
   * @param \Drupal\Core\Cache\CacheBackendInterface $cache_backend
   *   Cache backend instance to use.
   * @param \Drupal\Core\Extension\ModuleHandlerInterface $module_handler
   *   The module handler to invoke the alter hook with.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct(
      'Plugin/SiteProperty',
      $namespaces,
      $module_handler,
      'Drupal\site\SitePropertyInterface',
      'Drupal\site\Annotation\SiteProperty'
    );
    $this->alterInfo('site_property_info');
    $this->setCacheBackend($cache_backend, 'site_property_plugins');
  }

}
